﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTabControlStylingCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 8; i++)
            {
                Data.Add(new SampleData()
                {
                    TabName = "Tab " + i.ToString(),
                    ID = i
                });
            }
        }
    }

    public class SampleData
    {
        public string TabName { get; set; }
        public int ID { get; set; }
    }
}
